# `LAMMPS_jll.jl` (v2.2.0+0)

[![deps](https://juliahub.com/docs/LAMMPS_jll/deps.svg)](https://juliahub.com/ui/Packages/LAMMPS_jll/MalPX?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/96bfea4a847ac147e056e3a6a4f2d26933a23bed/L/LAMMPS/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.")

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `LAMMPS_jll.jl` have been built from these sources:

* git repository: https://github.com/lammps/lammps.git (revision: `7586adbb6a61254125992709ef2fda9134cfca6c`)

## Platforms

`LAMMPS_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0}` (`aarch64-apple-darwin-libgfortran5`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0}` (`aarch64-linux-gnu-libgfortran5-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0}` (`aarch64-linux-gnu-libgfortran5-cxx11`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0}` (`armv6l-linux-gnueabihf-libgfortran4-cxx03`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0}` (`armv6l-linux-gnueabihf-libgfortran4-cxx11`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0}` (`armv6l-linux-gnueabihf-libgfortran5-cxx03`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0}` (`armv6l-linux-gnueabihf-libgfortran5-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0}` (`armv7l-linux-gnueabihf-libgfortran4-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0}` (`armv7l-linux-gnueabihf-libgfortran4-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0}` (`armv7l-linux-gnueabihf-libgfortran5-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0}` (`armv7l-linux-gnueabihf-libgfortran5-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0}` (`i686-linux-gnu-libgfortran4-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0}` (`i686-linux-gnu-libgfortran4-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0}` (`i686-linux-gnu-libgfortran5-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0}` (`i686-linux-gnu-libgfortran5-cxx11`)
* `Windows i686 {cxxstring_abi=cxx03, libgfortran_version=4.0.0}` (`i686-w64-mingw32-libgfortran4-cxx03`)
* `Windows i686 {cxxstring_abi=cxx11, libgfortran_version=4.0.0}` (`i686-w64-mingw32-libgfortran4-cxx11`)
* `Windows i686 {cxxstring_abi=cxx03, libgfortran_version=5.0.0}` (`i686-w64-mingw32-libgfortran5-cxx03`)
* `Windows i686 {cxxstring_abi=cxx11, libgfortran_version=5.0.0}` (`i686-w64-mingw32-libgfortran5-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0}` (`powerpc64le-linux-gnu-libgfortran4-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0}` (`powerpc64le-linux-gnu-libgfortran4-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0}` (`powerpc64le-linux-gnu-libgfortran5-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0}` (`powerpc64le-linux-gnu-libgfortran5-cxx11`)
* `macOS x86_64 {libgfortran_version=4.0.0}` (`x86_64-apple-darwin-libgfortran4`)
* `macOS x86_64 {libgfortran_version=5.0.0}` (`x86_64-apple-darwin-libgfortran5`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0}` (`x86_64-linux-gnu-libgfortran4-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0}` (`x86_64-linux-gnu-libgfortran4-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0}` (`x86_64-linux-gnu-libgfortran5-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0}` (`x86_64-linux-gnu-libgfortran5-cxx11`)
* `Windows x86_64 {cxxstring_abi=cxx03, libgfortran_version=4.0.0}` (`x86_64-w64-mingw32-libgfortran4-cxx03`)
* `Windows x86_64 {cxxstring_abi=cxx11, libgfortran_version=4.0.0}` (`x86_64-w64-mingw32-libgfortran4-cxx11`)
* `Windows x86_64 {cxxstring_abi=cxx03, libgfortran_version=5.0.0}` (`x86_64-w64-mingw32-libgfortran5-cxx03`)
* `Windows x86_64 {cxxstring_abi=cxx11, libgfortran_version=5.0.0}` (`x86_64-w64-mingw32-libgfortran5-cxx11`)

## Dependencies

The following JLL packages are required by `LAMMPS_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`MPItrampoline_jll`](https://github.com/JuliaBinaryWrappers/MPItrampoline_jll.jl)
* [`MicrosoftMPI_jll`](https://github.com/JuliaBinaryWrappers/MicrosoftMPI_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `liblammps`
* `ExecutableProduct`: `lmp`
